# Claude Code 安全利用ガイド

## 推奨される安全対策

### 1. バックアップ
- 重要なファイルは必ずバックアップ
- Gitでバージョン管理
- Time Machineやスナップショット機能を活用

### 2. Hooksによる制御
```json
// ~/.claude/settings.json
{
  "hooks": {
    "before_bash": "~/.claude/hooks/command-check.sh"
  }
}
```

### 3. 段階的な実行
- まず `--dry-run` オプションで確認
- 小さな変更から始める
- 破壊的な操作は避ける

### 4. 環境の分離
優先度順：
1. **Dockerコンテナ** - 最も安全
2. **仮想マシン** - 完全な分離
3. **専用ユーザー** - 権限を制限
4. **作業用ディレクトリ** - 影響範囲を限定

### 5. Claude Codeへの指示
CLAUDE.mdに安全ルールを記載：
```markdown
## 安全ルール
- `rm -rf` は使用禁止
- システムファイルの変更禁止
- sudoコマンドは確認を求める
- 実行前に影響範囲を説明する
```

### 6. モニタリング
- コマンド履歴の確認
- ファイルシステムの変更監視
- 定期的なログレビュー

## 緊急時の対応
1. Ctrl+C で即座に停止
2. プロセスの強制終了
3. スナップショットから復元